It's a bash builtin, it always exists.
Thanks: Eric Blake.
---
tests/test-partitioning4.sh | 9 ---------
1 file changed, 9 deletions(-)
diff --git a/tests/test-partitioning4.sh b/tests/test-partitioning4.sh
index 4177640..eb76b3c 100755
--- a/tests/test-partitioning4.sh
+++ b/tests/test-partitioning4.sh
@@ -43,15 +43,6 @@ source ./functions.sh
set -e
set -x
-# Check if the printf utility is available. This is probably using
-# the bash builtin (not the one from coreutils) which does not
-# understand --flags, so we have to test it using a dummy format
-# string.
-if ! printf ""; then
- echo "$0: missing or broken printf"
- exit 77
-fi
-
# Test that qemu-img works
if ! qemu-img --help >/dev/null; then
echo "$0: missing or broken qemu-img"
--
2.20.1